#This line is used to send a message from a function file:
#tellraw @s {"rawtext":[{"text":"§rMessage§r"}]}

#The first §r can be changed to any color, the last §r is used to reset changes and
#prevent text outside the message to have the color of the message
#@s is the recipient of the message and can be replaced by any selector except @initiator

#Color codes:

#Black (black)	§0
#White (white)	§f

#Dark Blue (dark_blue)	§1
#Blue (blue)	§9

#Dark Green (dark_green)	§2
#Green (green)	§a

#Dark Aqua (dark_aqua)	§3
#Aqua (aqua)	§b

#Dark Red (dark_red)	§4
#Red (red)	§c

#Dark Purple (dark_purple)	§5
#Light Purple (light_purple)	§d

#Dark Gray (dark_gray)	§8
#Gray (gray)	§7

#Gold (gold)	§6
#Yellow (yellow)	§e

#Obfuscated	§k
#Bold	§l
#Strikethrough	§m
#Underline	§n
#Italic	§o
#Reset	§r

#Execute init code on new players
execute @a[tag=!init] ~~~ function init
tag @a[tag=!init] add init

#Disable sending feedback to users
gamerule sendcommandfeedback false
#Write update code here

scoreboard players add @a tick 1

scoreboard players set @a[scores={thistEffect=..0}] thistEffect 0
scoreboard players set @a[scores={thistEffect=..0},tag=thirst] thistEffect 15
scoreboard players remove @a[scores={tick=20..,thistEffect=1..}] thistEffect 1
tag @a[scores={thistEffect=..0}] remove thirst

tag @a[scores={tick=20..},tag=damageInterval] remove damageInterval
tag @a[scores={tick=20..},tag=!damageInterval] add damageInterval
execute @a[m=!c,tag=isfreezing,scores={tick=20..},tag=damageInterval,tag=!freezeImmunity] ~~1~ summon o:freezing
execute @a[m=!c,tag=isburning,scores={tick=20..},tag=damageInterval,tag=!fireImmunity] ~~1~ summon o:burn
execute @e[type=o:freezing] ~~~ tp @s @p
execute @e[type=o:burn] ~~~ tp @s @p

scoreboard players remove @a[scores={tick=20..}] thistcooldown 1
scoreboard players remove @a[scores={thistcooldown=..0},m=!c,tag=!isunderwater] thirst 2
scoreboard players add @a[scores={thistcooldown=..0},m=!c,tag=!isunderwater,tag=isfreezing] thirst 1
scoreboard players add @a[scores={thistcooldown=..0},m=!c,tag=!isunderwater,tag=iscold] thirst 1
scoreboard players remove @a[scores={thistcooldown=..0},m=!c,tag=!isunderwater,tag=iswarm] thirst 2
scoreboard players remove @a[scores={thistcooldown=..0},m=!c,tag=!isunderwater,tag=isburning] thirst 3
scoreboard players remove @a[scores={thistcooldown=..0},m=!c,tag=!isunderwater,tag=thirst] thirst 8
scoreboard players set @a[scores={thistcooldown=..0}] thistcooldown 10

execute @a ~~~ function thirstTick
execute @a[scores={tick=20..}] ~~~ function temperature
effect @s[m=!c,scores={temperature=-1000..0}] slowness 1 0 true
effect @s[m=!c,scores={temperature=-1000..0}] weakness 1 0 true
event entity @a o:playerUpdate

scoreboard players set @a[scores={tick=20..}] tick 0

#Enable sending feedback to users
gamerule sendcommandfeedback true
